@include('layouts.devices.stats')

<div class="container-fluid pt-2">
   <div class="row">
      <div class="col-12">
         <div class="card mt-4">
            <div class="card-header p-0 position-relative mt-n4 ms-3 me-3 z-index-2">
               <div class="bg-gradient-icc-orange shadow-primary border-radius-md py-3">
                  <h6 class="text-white text-capitalize ps-4">
                     <div class="text-white me-2 d-flex align-items-center font-semibold">
                        <em class="material-icons opacity-10">{{ $tableTitleIcon }}</em>
                        <span class="ms-1">{{ $tableTitle }}</span>
                     </div>
                  </h6>
               </div>
               <div class="card-body px-0">
                  <div class="table-responsive ps-3 pe-3 mb-2">
                     <table id="table_devices" class="table align-items-center mb-0" aria-describedby="tableau des équipements">
                        <thead>
                           <tr>
                              <th class="text-uppercase text-secondary text-xxs font-weight-bolder opacity-7">Nom</th>
                              <th class="text-uppercase text-secondary text-xxs font-weight-bolder opacity-7">Modèle</th>
                              <th class="text-uppercase text-center text-secondary text-xxs font-weight-bolder opacity-7">Enregistrement</th>
                              <th class="text-uppercase text-center text-secondary text-xxs font-weight-bolder opacity-7">Dernière synchro.</th>
                              <th class="text-uppercase text-secondary text-xxs font-weight-bolder opacity-7">Espace disque libre</th>
                              <th class="text-uppercase text-center text-secondary text-xxs font-weight-bolder opacity-7">Statut</th>
                              <th class="text-uppercase text-secondary text-xxs font-weight-bolder opacity-7">Utilisateur</th>
                           </tr>
                        </thead>
                        <tbody>
                           @foreach ($allDevices as $device)
                           <tr>
                              <td>
                                 <div class="d-flex py-1">
                                    <div class="d-flex flex-column justify-content-center">
                                       <h6 class="mb-0 text-sm font-semibold">{{ $device->DEVICE_NOM }}</h6>
                                    </div>
                                 </div>
                              </td>

                              <td>
                                 <div class="d-flex px-2">
                                    <input type="hidden" value={{ $device->DEVICE_MODEL }}>
                                    <input type="hidden" value={{ $device->DEVICE_SERIALNUMBER }}>
                                    <div>
                                       <img src="{{ asset('/img/logo_hp.png') }}" class="avatar avatar-sm me-3 border-radius-lg" alt="nobody_id">
                                    </div>
                                    <div class="d-flex flex-column justify-content-center">
                                       <h6 class="mb-0 text-sm">{{ $device->DEVICE_MODEL }}</h6>
                                       <p class="text-xs text-secondary mb-0">{{ $device->DEVICE_SERIALNUMBER }}</p>
                                    </div>
                                 </div>
                              </td>
                              <td class="text-center align-middle">
                                 @if($device->DEVICE_ENROLLEDDATETIME != null)
                                 <?php
                                 $dateEnregistrement = date('d/m/Y', strtotime($device->DEVICE_ENROLLEDDATETIME));
                                 $dateEnregistrementCachée = date('Y/m/d', strtotime($device->DEVICE_ENROLLEDDATETIME));
                                 ?>
                                 @else
                                 <?php
                                 $dateEnregistrement = "";
                                 $dateEnregistrementCachée = "";
                                 ?>
                                 @endif
                                 <span hidden>{{ $dateEnregistrementCachée }}</span>
                                 <span class="text-secondary text-xs font-weight-bold">{{ $dateEnregistrement }}</span>
                              </td>
                              <td class="text-center align-middle">
                                 @if($device->DEVICE_LASTSYNC != null)
                                 <?php
                                 $dateDerniereSynchro = date('d/m/Y', strtotime($device->DEVICE_LASTSYNC));
                                 $dateDerniereSynchroCachée = date('Y/m/d', strtotime($device->DEVICE_LASTSYNC));
                                 ?>
                                 @else
                                 <?php
                                 $dateDerniereSynchro = "";
                                 $dateDerniereSynchroCachée = "";
                                 ?>
                                 @endif
                                 <span hidden>{{ $dateDerniereSynchroCachée }}</span>
                                 <span class="text-secondary text-xs font-weight-bold">{{ $dateDerniereSynchro }}</span>
                              </td>
                              <?php $freeSpacePercent = round(($device->DEVICE_FREESTORAGE / $device->DEVICE_TOTALSTORAGE) * 100); ?>
                              <td class="align-middle">
                                 <div class="d-flex align-items-center">
                                    <?php $freeSpacePercent = round(($device->DEVICE_FREESTORAGE / $device->DEVICE_TOTALSTORAGE) * 100); ?>
                                    @if ($freeSpacePercent > 80)
                                    <?php $espaceStatut = 'bg-gradient-success'; ?>
                                    @elseif ($freeSpacePercent > 50)
                                    <?php $espaceStatut = 'bg-gradient-info'; ?>
                                    @elseif ($freeSpacePercent > 35)
                                    <?php $espaceStatut = 'bg-gradient-warning'; ?>
                                    @else
                                    <?php $espaceStatut = 'bg-gradient-danger'; ?>
                                    @endif
                                    <span class="me-2 text-xs font-weight-bold">{{ $freeSpacePercent }}%</span>
                                    <div>
                                       <div class="progress">
                                          <div class="progress-bar {{ $espaceStatut }}" role="progressbar" aria-valuenow="{{ $freeSpacePercent }}" aria-valuemin="0" aria-valuemax="100" style="width: {{ $freeSpacePercent }}%;"></div>
                                       </div>
                                    </div>
                                 </div>
                              </td>
                              <td class="align-middle text-center text-sm">
                                 @if ($device->DEVICE_FKEMPLOYEEID != null)
                                 <span class="badge badge-sm bg-gradient-success">Actif</span>
                                 @elseif ($device->DEVICE_FKEMPLOYEEID == null)
                                 <span class="badge badge-sm bg-gradient-icc-orange">Inactif</span>
                                 @endif
                              </td>
                              <td class="">
                                 <div class="flex flex-wrap">
                                    <a onclick='Livewire.emit("openModal", "user-details-mod", {{ json_encode(["userId" => $device->EMPLOYEE_ID]) }})' name="agence_link" style="margin: 2px;" class="px-2 font-medium rounded-sm icc-etiquette-info">
                                       <strong class="text-xs">{{ $device->EMPLOYEE_NOM }} {{ $device->EMPLOYEE_PRENOM }}</strong>
                                    </a>
                                 </div>
                              </td>
                           </tr>
                           @endforeach
                        </tbody>
                     </table>
                  </div>
               </div>
            </div>
         </div>
      </div>
   </div>
</div>

@include('js.defaultTable', ['tableId' => '#table_devices'])
