<div>
    <x-modal>
        @if ($userInfo)
            @foreach ($userInfo as $user)
                <x-slot name="title">
                    Fiche d'identité (employé/franchisé)
                    @php
                        $sharepointBase = 'https://iccfinance.sharepoint.com/sites/gestion_groupe/Documents%20partages';
                        $sharepointType = strtoupper($user->AGENCE_TYPE) . 'S';
                        $sharepointMembre = ucwords($user->EMPLOYEE_PRENOM) . ' ' . strtoupper($user->EMPLOYEE_NOM);
                        $directeurNom = ucwords($user->EMPLOYEE_PRENOM) . ' ' . ucwords(strtolower($user->EMPLOYEE_NOM));
                        if (str_contains($user->AGENCE_DIRECTEUR, $directeurNom)) {
                            $fonctionFolder = '10 - Gérant(s)';
                        } else {
                            $fonctionFolder = '20 - Membre(s)';
                        }
                        if ($user->AGENCE_RAISONSOCIALE === 'ICC Développement') {
                            $sharepointBase = 'https://iccfinance.sharepoint.com/sites/AdmingroupeICC/Documents%20partages/ICC DEVELOPPEMENT/Données Sociales';
                            $fonctionFolder = $user->EMPLOYEE_STATUT . 's';
                            $sharepointAdresse = $sharepointBase . '/' . $fonctionFolder . '/' . $sharepointMembre;
                        } elseif ($user->AGENCE_RAISONSOCIALE === 'ICC Finance') {
                            if ($user->EMPLOYEE_ESTCOURTIER) {
                                $agence = $user->AGENCE_NOM;
                                $sharepointBase = 'https://iccfinance.sharepoint.com/sites/AdmingroupeICC/Documents%20partages/ICC Finance/Membre(s)/' . $agence;
                                $sharepointAdresse = $sharepointBase . '/' . $sharepointMembre;
                            } else {
                                $sharepointBase = 'https://iccfinance.sharepoint.com/sites/AdmingroupeICC/Documents%20partages/ICC Finance/Données Sociales';
                                $fonctionFolder = $user->EMPLOYEE_STATUT . 's';
                                $sharepointAdresse = $sharepointBase . '/' . $fonctionFolder . '/' . $sharepointMembre;
                            }
                        } elseif ($sharepointType === 'FILIALES') {
                            $sharepointAgence = ucwords($user->AGENCE_NOM);
                            $sharepointAdresse = $sharepointBase . '/' . $sharepointType . '/ICC ' . $sharepointAgence . '/' . $fonctionFolder . '/' . $sharepointMembre;
                        } else {
                            $sharepointAgence = strtoupper($user->AGENCE_RAISONSOCIALE) . ' - ' . $user->AGENCE_NOM;
                            $sharepointAdresse = $sharepointBase . '/' . $sharepointType . '/' . $sharepointAgence . '/' . $fonctionFolder . '/' . $sharepointMembre;
                        }
                    @endphp
                    <a wire:click='$emit("openModal", "users.user-form-mod", @json(['userId' => $user->EMPLOYEE_ID]))'
                        class="text-white p-1 px-2 hover:font-bold icc-link-orange"
                        title="Editer les informations de {{ $sharepointMembre }}">
                        <span class="italic"><i class="fa-solid fa-pen-to-square"></i></span>
                    </a>
                    <a href="{{ url($sharepointAdresse) }}" target="_blank"
                        title="Ouvir le SharePoint de {{ $sharepointMembre }}">
                        <i class="fa-solid fa-folder"></i>
                    </a>
                </x-slot>

                <x-slot name="content">
                    @include('layouts.members.details')
                </x-slot>

                <x-slot name="buttons">
                </x-slot>
            @endforeach
        @else
            <x-slot name="title">
                Fiche d'identité (employé/franchisé)
            </x-slot>

            <x-slot name="content">
                Une erreur est survenue. Contactez votre administrateur.
            </x-slot>

            <x-slot name="buttons">
            </x-slot>
        @endif
    </x-modal>
</div>
